#include <iostream>
#include <vector>

int main()
{
    int n;
    std::cin >> n;
    std::vector<int> a(n);
    std::vector<int> b(n);
    for (int i = 1, j = 2 * n, ai = 0, bi = 0; i <= n; i++, j--) {
        if (i % 2 == 1) {
            a[ai++] = i;
            b[bi++] = j;
        }
        else {
            a[ai++] = j;
            b[bi++] = i;
        }
    }
    std::string out;
    for (int i = 0; i < n; i++) {
        std::cout << a[i] << " ";
    }
    std::cout << "\n";
    for (int i = 0; i < n; i++) {
        std::cout << b[i] << " ";
    }
}